Subject: bug#8048: 24.0.50; `q' in *Colors* display inserts, does not quit

From: "Drew Adams" <[email-masked]>
Date: Tue, 15 Feb 2011 17:10:09 -0800

More generally, the mode of buffer *Colors* is useless now (fundamental mode).

Please restore the normal behavior, using `with-help-window', so one can add
functionality to `temp-buffer-show-hook', hit `q' to quit, and so on.  That's
why we have such help buffers.  What good is fundamental mode here?

If the reason for this regression is that you want to let users sort in various
ways on the fly (i.e., without customizing `list-sort-colors' and redoing
`list-colors-display'), then provide a command for this, which temporarily makes
the buffer editable etc.

If there is some other reason for having an editable buffer, then at the very
least define a proper major mode and provide something useful for `C-h m'.